Part Number Detection use case
import requests
url = "https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}"
payload = { "batch": [{ "text": "54956gf-98796v" }, { "text": "bright pink sprinkles" }] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"text\": \"54956gf-98796v\"\n },\n {\n \"text\": \"bright pink sprinkles\"\n }\n ]\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({batch: [{text: '54956gf-98796v'}, {text: 'bright pink sprinkles'}]})
};
fetch('https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"text\": \"54956gf-98796v\"\n },\n {\n \"text\": \"bright pink sprinkles\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}"
payload := strings.NewReader("{\n \"batch\": [\n {\n \"text\": \"54956gf-98796v\"\n },\n {\n \"text\": \"bright pink sprinkles\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'text' => '54956gf-98796v'
],
[
'text' => 'bright pink sprinkles'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"text": "54956gf-98796v"
},
{
"text": "bright pink sprinkles"
}
]
}
'{
"predictions": [
{
"tokensUsed": {
"inputTokens": 6,
"labelsTokens": 2
},
"labels": {
"true": 0.6388378143310547
},
"response": "true: 0.64"
},
{
"tokensUsed": {
"inputTokens": 4,
"labelsTokens": 2
},
"labels": {
"false": 0.6262129545211792
},
"response": "false: 0.63"
}
]
}Part Number Detection use case
The Part Number Detection use case of the LWAI Prediction API detects part numbers in order to help with query routing and classification, and uses the embedding model to ingest text and return a JSON response of true if the input is a part number, or false if the input is not a part number.
POST
/
ai
/
prediction
/
part-number-detection
/
{CUSTOM_DEPLOYMENT_ID}
Part Number Detection use case
import requests
url = "https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}"
payload = { "batch": [{ "text": "54956gf-98796v" }, { "text": "bright pink sprinkles" }] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"text\": \"54956gf-98796v\"\n },\n {\n \"text\": \"bright pink sprinkles\"\n }\n ]\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({batch: [{text: '54956gf-98796v'}, {text: 'bright pink sprinkles'}]})
};
fetch('https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"text\": \"54956gf-98796v\"\n },\n {\n \"text\": \"bright pink sprinkles\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}"
payload := strings.NewReader("{\n \"batch\": [\n {\n \"text\": \"54956gf-98796v\"\n },\n {\n \"text\": \"bright pink sprinkles\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'text' => '54956gf-98796v'
],
[
'text' => 'bright pink sprinkles'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{APPLICATION_ID}.applications.lucidworks.com/ai/prediction/part-number-detection/{CUSTOM_DEPLOYMENT_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"text": "54956gf-98796v"
},
{
"text": "bright pink sprinkles"
}
]
}
'{
"predictions": [
{
"tokensUsed": {
"inputTokens": 6,
"labelsTokens": 2
},
"labels": {
"true": 0.6388378143310547
},
"response": "true: 0.64"
},
{
"tokensUsed": {
"inputTokens": 4,
"labelsTokens": 2
},
"labels": {
"false": 0.6262129545211792
},
"response": "false: 0.63"
}
]
}Headers
Path Parameters
Body
application/json
Was this page helpful?